<?php
class netsPage extends netsHtml {
	//-- #Main parameter --
	public $sMainID=0;
	public $sMainUserid=0;
	public $sMainTableid=0;
	
	public $sActionPage='';
	public $sActionType='';
	public $sActionTypeF='';
	public $sActionType_Origin='';
	public $sActionTypeF_Origin='';
	public $sFormEnctype=' enctype="multipart/form-data" ';
	//public $sFormEnctype='';
	public $sLimitCount=12;
	
	public $sBatchSize=30;
	public $sBatchIndex=0;
	public $sBatchMessage='';
	//-- #Db object --
	public $sApp;
	public $sApp_Table;
	public $sDb;
	public $sAppCore;
	public $sDbCore;
	
	public $sTabIndex=0;
	public $sTabIndexChild=0;
	public $sListCount=12;
	public $sListType=0;
	public $sSearchVisible=0;
	public $sAdvancedOptionsCount=1;
	public $sListData=array();
	public $sSearchData=array();
	public $sExternal_SearchData=array();
	//-- #Ui config --
	public $sFunctionid=0;
	public $sFunctionname='';
	public $sAR_UserPower=array();
	public $sTableAR=array();
	public $sUiNameIndex=0;
	public $sUiName=''; #UiDescription `s class and file name
	public $sTable=array(/*
		array('sttTableName'=>'netsuserinfo','sttColumnHead'=>'uit','stctUiName'=>''),
		array('sttTableName'=>'netsuserinfocont','sttColumnHead'=>'uict','stctUiName'=>''),*/);
	public $sUiFlag=array('Search'=>'Search','List'=>'List',
		'Childlist_Search'=>'Childlist_Search','Childlist_List'=>'Childlist_List','Childlist_Childlist'=>'Childlist_Childlist','Childlist_Normal'=>'Childlist_Normal','Tree'=>'Tree',
		'Chart'=>'Chart','Chart_Search'=>'Chart_Search',
		'External_Search'=>'External_Search','External_Search_Search'=>'External_Search_Search','External_Search_List'=>'External_Search_List',
		'External_Folder'=>'External_Folder','External_List'=>'External_List',
		'Normal'=>'Normal','Normal_Frame'=>'Normal_Frame','Normal_Set'=>'Normal_Set','Normal_Multiple'=>'Normal_Multiple','Normal_MultipleEx'=>'Normal_MultipleEx','Normal_MultipleByTxt'=>'Normal_MultipleByTxt','Normal_MultipleByRow'=>'Normal_MultipleByRow','Normal_Quick'=>'Normal_Quick',
		'Publish'=>'Publish','Report'=>'Report','ReportLine'=>'ReportLine','Detail'=>'Detail',);
	//-- #Column config --
	public $sDbDescriptions=array();
	public $sUiDescriptions=array();
	public $sUiDescription_Search=array();
	public $sUiDescription_List=array();
	public $sUiDescription_Tree=array();
	public $sUiDescription_External=array();
	public $sUiDescription_External_Search_Search=array();
	public $sUiDescription_External_Search_List=array();
	public $sUiDescription_External_Folder=array();
	public $sUiDescription_External_List=array();
	public $sUiDescription_External_ChildChoose=array();
	public $sUiDescription_Normal=array();
	public $sUiDescription_Normal_Frame=array();
	public $sUiDescription_Normal_Set=array();
	public $sUiDescription_Normal_Multiple=array();
	public $sUiDescription_Normal_MultipleEx=array();
	public $sUiDescription_Normal_MultipleByTxt=array();
	public $sUiDescription_Normal_MultipleByTxt_Columns=array();
	public $sUiDescription_Normal_MultipleByRow=array();
	public $sUiDescription_Normal_MultipleByRow_Columns=array();
	public $sUiDescription_Normal_Quick=array();
	public $sUiDescription_Publish=array();
	public $sUiDescription_Report=array();
	public $sUiDescription_ReportLine=array();
	public $sUiDescription_Detail=array();
	public $sUiDescription_ChildlistSearch=array();
	public $sUiDescription_ChildlistList=array();
	public $sUiDescription_ChildlistNormal=array();
	public $sUiDescription_ChartSearch=array();
	
	public $sChildlist_Parid=0;
	public $sChildlist_Rootid=0;
	public $sChildlist_ParColumnName='';
	//-- #Ui introduct parameter --
	public $sMetaTitle='';
	public $sMetaKeyword='';
	public $sMetaDescription='';
	public $sVersion='';
	public $sExtendParameter='';
	public $sMessage='';
	public $sJscript='';
	public $sJscriptFiles='';
	public $sSsheetFiles='';
	public $sShareURL='';
	public $sShareData=array(
		array('Title','XMLURL','URL','Type','Description','Content','Sources'),
		);
	public $sRSSURL='';
	public $sXMLURL='';
	
	public function netsPage(){
		$this->netsHtml();
		
	}
	
	public function OnPage(){
		//-- ------ #Config ------ --
		$tmpAR0=$this->getQueryString('ActionType');
		$this->sActionType=$tmpAR0[0];
		$tmpAR0=$this->getQueryString('ActionTypeF');
		$this->sActionTypeF=$tmpAR0[0];
		
		//-- ------ #Page ------ --
		$this->sysPage=$this->getSiteUrl();
		$this->sysURL=$this->getURL();
		//$this->sysSiteRoot='../../../';
		$this->sysSiteHome=$this->getSiteHome();
		$this->sysIP=$this->getIP();
		$this->sActionPage=$this->sysPage;
		
		//-- ------ #Event ------ --
		//#Pre event
		$this->OnPreEvent();
		//#PInitial
		$this->OnFirstInitial();
		$this->OnPInitial();
		//#Initial
		$this->OnInitial();
		//#BInitial
		$this->OnBInitial();
		//#Start
		$this->OnStart();
		//#PEvent
		$this->OnPEvent();
		//#Event
		$this->OnEvent();
		//#BEvent
		$this->OnBEvent();
		//#PLoad
		$this->OnPLoad();
		//#Load
		$this->OnLoad();
		//#BLoad
		$this->OnBLoad();
		//#Complete
		$this->OnComplete();
		//#Clear
		$this->OnClear();
	}
	public function OnPreEvent(){}
	public function OnFirstInitial(){}
	public function OnPInitial(){}
	public function OnInitial(){
		$this->OnLoadConfig();
		$this->OnLoadModel();
		$this->OnLoadPreData();
	}
	public function OnLoadConfig(){
		//-- ### --
		$tmpSTR='ListCount';
		$tmpAR0=$this->AnalyerRequest($tmpSTR,12,2);
		$tmpAR1=$this->AnalyerRequest($tmpSTR,-1,0);
		if($tmpAR1[0]==-1){
			$this->sListCount=$tmpAR0[0];
		}else {
			$this->sListCount=$tmpAR1[0];
			$this->writeCookie($this->sysNormalCookiePath,$tmpSTR,$tmpAR1[0]);
		}
		//-- ### --
		$tmpSTR='ListType';
		$tmpAR0=$this->AnalyerRequest($tmpSTR,12,2);
		$tmpAR1=$this->AnalyerRequest($tmpSTR,-1,0);
		if($tmpAR1[0]==-1){
			$this->sListType=$tmpAR0[0];
		}else {
			$this->sListType=$tmpAR1[0];
			$this->writeCookiee($this->sysNormalCookiePath,$tmpSTR,$tmpAR1[0]);
		}
		//-- ### --
		$tmpSTR='TabIndex';
		$tmpAR0=$this->AnalyerRequest($tmpSTR,0,0);
		$this->sTabIndex=$tmpAR0[0];
		//-- ### --
		$tmpSTR='TabChildIndex';
		$tmpAR0=$this->AnalyerRequest($tmpSTR,0,0);
		$this->sTabChildIndex=$tmpAR0[0];
		//-- ### --
		$tmpSTR='SearchVisible';
		$tmpAR0=$this->AnalyerRequest($tmpSTR,1,2);
		$tmpAR1=$this->AnalyerRequest($tmpSTR,-1,0);
		if($tmpAR1[0]==-1){
			$this->sSearchVisible=$tmpAR0[0];
		}else {
			$this->sSearchVisible=$tmpAR1[0];
			$this->writeCookie($this->sysNormalCookiePath,$tmpSTR,$tmpAR1[0]);
		}
		
	}
	public function OnLoadModel(){
		$tmpAR0=$this->AnalyerRequest('Normal','0,0',0);
		$this->sMainTableid=$this->sCode->Int32($tmpAR0[1],0);
		$this->sDbDescriptions=$this->sysDbDescriptions;
		$this->sUiDescriptions=$this->sysUiDescriptions;
		$this->sApp_Table=new netssystable($this->sConnString);
		//-- ------ #Path ------ --
		//-- #Get table from Functionid --
		if($this->sFunctionid!=0){
			$tmpAR0=$this->AnalyerRequest('mainTableid',0,1);
			if($tmpAR0[0]!=0 && ($this->sActionTypeF=='DAdd' || $this->sActionTypeF=='DModify')){
				$this->sMainTableid=$tmpAR0[0];
			}
			
			$this->sTable=$this->sApp_Table->getTableFromFunction($this->sFunctionid,$this->sMainTableid);
			if(count($this->sTable)>2){
				$tmpAR0=explode($this->sysSPLIT4,$this->sTable[2]['stctUiName']);
				$this->sUiName=$tmpAR0[$this->sUiNameIndex];
			}
			$this->sTableAR=$this->sApp_Table->getTableoption($this->sFunctionid);
		}
		//-- #Reload Db and Ui description --
		//FileConfig
		if(file_exists($this->sFileConfigPath)){
			//require($this->sFileConfigPathCore);
			require($this->sFileConfigPath);
			$tmpSTR=str_replace('.php','_ADD.php',$this->sFileConfigPath);
			if(file_exists($tmpSTR)){
				require($tmpSTR);
			}
			$tmpSTR=str_replace('.php','_Regular.php',$this->sFileConfigPath);
			if(file_exists($tmpSTR)){
				require($tmpSTR);
			}
			$this->sysFileConfig=$netsFileConfig;
		}
		//-- ------ #Path ------ --
		$this->sysFileConfig['sysCoreRoot_Real']=$this->getRealname($this->sysFileConfig['sysCoreRoot'],0);
		$this->sysFileConfig['bussinessTemplatePackagePath_Real']=$this->getRealname($this->sysFileConfig['bussinessTemplatePackagePath'],0);
		$this->sDbDescriptionPath_Real=$this->getRealname($this->sDbDescriptionPath,0);
		$this->sDbDescriptionPathCore_Real=$this->getRealname($this->sDbDescriptionPathCore,0);
		$this->sUiDescriptionPath_Real=$this->getRealname($this->sUiDescriptionPath,0);
		$this->sUiDescriptionPathCore_Real=$this->getRealname($this->sUiDescriptionPathCore,0);
		
		//DbDescription
		$Coun0=0;
		foreach ($this->sTable as $tableCell){
			$tmpSTR=str_replace($this->sysTableHead,'',$tableCell['sttTableName']);
			if(file_exists($this->sDbDescriptionPath_Real.$tmpSTR.'.php')){
				require($this->sDbDescriptionPath_Real.$tmpSTR.'.php');
			}else if(file_exists($this->sDbDescriptionPathCore_Real.$tmpSTR.'.php')){
				require($this->sDbDescriptionPathCore_Real.$tmpSTR.'.php');
			}
			$Coun0++;
		}
		//-- #Load db description --
		$Coun0=0;
		foreach ($this->sTable as $tableCell){
			$this->sDbDescriptions[$tableCell['sttTableName']]=$sysDbDescriptions[$tableCell['sttTableName']];
			$Coun0++;
		}
		//UiDescription
		if($this->sUiName!=''){
			$sysUiDescriptions=array();
			if(file_exists($this->sUiDescriptionPath_Real.$this->sUiName.'.php')){
				require($this->sUiDescriptionPath_Real.$this->sUiName.'.php');
			}else if(file_exists($this->sUiDescriptionPathCore_Real.$this->sUiName.'.php')){
				require($this->sUiDescriptionPathCore_Real.$this->sUiName.'.php');
			}
			$this->sysUiDescriptions=$sysUiDescriptions;
		}
		//-- #Load ui description --
		$tmpAR0=explode($this->sysSPLIT9,$this->sUiName);
		$tmpUiName=$tmpAR0[count($tmpAR0)-1];//Non path Ui name
		if(isset($this->sysUiDescriptions[$tmpUiName])){
			//-- #Load ui description from array file
			$this->sUiDescriptions=$this->sysUiDescriptions[$tmpUiName];
		}else {
			//-- #Load ui description from db
			$this->sUiDescriptions=$this->sApp_Table->getAllColumn($this->sTable);
		}
		//-- #Set spical column config --
		if ($this->sActionType==$this->sUiFlag['Normal'] || $this->sActionType==$this->sUiFlag['Normal_MultipleByTxt'] || $this->sActionType==$this->sUiFlag['Normal_MultipleByRow']){
			$tmpSTR=$this->sUiFlag['Normal'];
			$this->sUiDescription_Normal=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['Normal_Frame']){
			$tmpSTR=$this->sUiFlag['Normal_Frame'];
			$this->sUiDescription_Normal_Frame=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['Publish']){
			$tmpSTR=$this->sUiFlag['Publish'];
			$this->sUiDescription_Publish=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['Report']){
			$tmpSTR=$this->sUiFlag['Report'];
			$this->sUiDescription_Report=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
			$tmpSTR=$this->sUiFlag['ReportLine'];
			$this->sUiDescription_ReportLine=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);

		}else if ($this->sActionType==$this->sUiFlag['Detail']){
			$tmpSTR=$this->sUiFlag['Detail'];
			$this->sUiDescription_Detail=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);

		}else if ($this->sActionType==$this->sUiFlag['External_Search']){
			$tmpSTR=$this->sUiFlag['External_Search_Search'];
			$this->sUiDescription_External_Search_Search=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
			$tmpSTR=$this->sUiFlag['External_Search_List'];
			$this->sUiDescription_External_Search_List=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['External_Folder']){
			$tmpSTR=$this->sUiFlag['External_Folder'];
			$this->sUiDescription_External_Folder=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['External_List']){
			$tmpSTR=$this->sUiFlag['External_List'];
			$this->sUiDescription_External_List=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['Childlist_List']){
			$tmpSTR=$this->sUiFlag['Childlist_Search'];
			$this->sUiDescription_ChildlistSearch=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
			$tmpSTR=$this->sUiFlag['Childlist_List'];
			$this->sUiDescription_ChildlistList=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['Childlist_Childlist']){
			$tmpSTR=$this->sUiFlag['Childlist_List'];
			$this->sUiDescription_ChildlistList=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
		}else if ($this->sActionType==$this->sUiFlag['Childlist_Normal']){
			$tmpSTR=$this->sUiFlag['Childlist_Normal'];
			$this->sUiDescription_ChildlistNormal=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
			
		}else if ($this->sActionType==$this->sUiFlag['Chart']){
			$tmpSTR=$this->sUiFlag['Chart_Search'];
			$this->sUiDescription_ChartSearch=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
			
		}else {
			$tmpSTR=$this->sUiFlag['Search'];
			$this->sUiDescription_Search=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);
			$tmpSTR=$this->sUiFlag['List'];
			$this->sUiDescription_List=$this->sApp_Table->filterColumnByFlag($this->sUiDescriptions,$tmpSTR);

		}
		//-- #More sActionType --
		//...
		
		return 0;
	}
	public function OnLoadPreData(){ return 0; }
	public function OnBInitial(){ return 0; }
	public function OnStart(){ return 0; }
	public function OnPEvent(){ return 0; }
	public function OnEvent(){
		if ($this->sActionTypeF=='DAdd') {
			$this->OnAdd();
		}else if ($this->sActionTypeF=='DAdd_Quick') {
			$this->OnAdd_Quick();
		}else if ($this->sActionTypeF=='DAdd_Multiple') {
			$this->OnAdd_Multiple();
		}else if ($this->sActionTypeF=='DAdd_Frame') {
			$this->OnAdd_Frame();
		}else if ($this->sActionTypeF=='DAdd_ChildSort') {
			$this->OnAdd_ChildSort();
		}else if ($this->sActionTypeF=='DModify') {
			$this->OnModify();
		}else if ($this->sActionTypeF=='DModify_Multiple') {
			$this->OnModify_Multiple();
		}else if ($this->sActionTypeF=='DModify_MultipleByTxt') {
			$this->OnModify_MultipleByTxt();
		}else if ($this->sActionTypeF=='DModify_MultipleByRow') {
			$this->OnModify_MultipleByRow();
		}else if ($this->sActionTypeF=='DModify_MultipleLine') {
			$this->OnModify_MultipleLine();
		}else if ($this->sActionTypeF=='DModify_PageLine') {
			$this->OnModify_PageLine();
		}else if ($this->sActionTypeF=='DModify_Page') {
			$this->OnModify_Page();
		}else if ($this->sActionTypeF=='DModify_Sort') {
			$this->OnModify_Sort();
		}else if ($this->sActionTypeF=='DModify_Frame') {
			$this->OnModify_Frame();
		}else if ($this->sActionTypeF=='DDelete') {
			$this->OnDelete();
		}else if ($this->sActionTypeF=='DDelete_AT') {
			$this->OnDelete_AT();
		}else if ($this->sActionTypeF=='DDelete_Multiple') {
			$this->OnDelete_Multiple();
		}else if ($this->sActionTypeF=='DDelete_Frame') {
			$this->OnDelete_Frame();
		}
		
		return 0;
	}
	public function OnAdd(){ return 0; }
	public function OnAdd_Quick(){ return 0; }
	public function OnAdd_Multiple(){ return 0; }
	public function OnAdd_Frame(){ return 0; }
	public function OnAdd_ChildSort(){ return 0; }
	public function OnModify(){ return 0; }
	public function OnModify_Multiple(){ return 0; }
	public function OnModify_MultipleByTxt(){ return 0; }
	public function OnModify_MultipleByRow(){ return 0; }
	public function OnModify_MultipleLine(){ return 0; }
	public function OnModify_PageLine(){ return 0; }
	public function OnModify_Page(){ return 0; }
	public function OnModify_Sort(){ return 0; }
	public function OnModify_Frame(){ return 0; }
	public function OnDelete(){ return 0; }
	public function OnDelete_AT(){ return 0; }
	public function OnDelete_Multiple(){ return 0; }
	public function OnDelete_Frame(){ return 0; }
	public function OnBEvent(){ return 0; }
	public function OnPLoad(){ return 0; }
	public function OnLoad(){
		if($this->sActionType=='List'){
			$this->OnList();
		}else if($this->sActionType=='Report'){
			$this->OnReport();
		}else if($this->sActionType=='Childlist_List'){
			$this->OnChildlist_List();
		}else if($this->sActionType=='Childlist_Childlist'){
			$this->OnChildlist_ChildList();
		}else if($this->sActionType=='Childlist_Normal'){
			$this->OnChildlist_Normal();
		}else if($this->sActionType=='Childlist_SAVE'){
			$this->OnChildlist_Save();
			
		}else if($this->sActionType=='Chart'){
			$this->OnChart();
			
		}else if ($this->sActionType=='Tree') {
			$this->OnTree();
		}else if ($this->sActionType=='External') {
			$this->OnExternal();
		}else if ($this->sActionType=='External_Search') {
			$this->OnExternal_Search();
		}else if ($this->sActionType=='External_Folder') {
			$this->OnExternal_Folder();
		}else if ($this->sActionType=='External_List') {
			$this->OnExternal_List();
		}else if ($this->sActionType=='External_ChildChoose') {
			$this->OnExternal_ChildChoose();
		}else if ($this->sActionType=='External_TextChooses_Checkbox') {
			$this->OnExternal_TextChooses_Checkbox();
		}else if ($this->sActionType=='Normal') {
			$this->OnNormal();
		}else if ($this->sActionType=='Normal_Frame') {
			$this->OnNormal_Frame();
		}else if ($this->sActionType=='Normal_Multiple') {
			$this->OnNormal_Multiple();
		}else if ($this->sActionType=='Normal_MultipleEx') {
		}else if ($this->sActionType=='Normal_MultipleByTxt') {
			$this->OnNormal_MultipleByTxt();
		}else if ($this->sActionType=='Normal_MultipleByRow') {
			$this->OnNormal_MultipleByRow();
		}else if ($this->sActionType=='Normal_Set') {
			$this->OnNormal_Set();
		}else if ($this->sActionType=='Publish') {
			$this->OnPublish();
		}else if ($this->sActionType=='Detail') {
			$this->OnDetail();
		}else if ($this->sActionType=='Submit_Adds') {
			$this->OnSubmit_Adds();
		}else if ($this->sActionType=='Submit_Modifys') {
			$this->OnSubmit_Modifys();
		}else if ($this->sActionType=='') {
			$this->OnList();
		}
		
		return 0;
	}
	public function OnList(){ return 0; }
	public function OnReport(){ return 0; }
	public function OnChildlist_List(){ return 0; }
	public function OnChildlist_ChildList(){ return 0; }
	public function OnChildlist_Normal(){ return 0; }
	public function OnChildlist_Save(){ return 0; }
	public function OnChart(){ return 0; }
	public function OnList_ChildData(){ return 0; }
	public function OnTree(){ return 0; }
	public function OnExternal(){ return 0; }
	public function OnExternal_Search(){ return 0; }
	public function OnExternal_Folder(){ return 0; }
	public function OnExternal_List(){ return 0; }
	public function OnExternal_ChildChoose(){ return 0; }
	public function OnExternal_TextChooses_Checkbox(){ return 0; }
	public function OnNormal(){ return 0; }
	public function OnNormal_Frame(){ return 0; }
	public function OnNormal_Set(){ return 0; }
	public function OnNormal_Multiple(){ return 0; }
	public function OnNormal_MultipleByTxt(){ return 0; }
	public function OnNormal_MultipleByRow(){ return 0; }
	public function OnPublish(){ return 0; }
	public function OnDetail(){ return 0; }
	public function OnBLoad(){ return 0; }
	public function OnComplete(){ return 0; }
	public function OnClear(){ return 0; }
	public function OnSubmit_Adds(){ return 0; }
	public function OnSubmit_Modifys(){ return 0; }
	
	public function getQueryString($pFlag){
		$tmpAR0=array();
		if($pFlag=='ActionType'){
			$tmpAR0=$this->AnalyerRequest($pFlag,'',0);
		}else if($pFlag=='ActionTypeF'){
			$tmpAR0=$this->AnalyerRequest($pFlag,'',0);
		}else if($pFlag=='DList0'){
			$tmpAR0=$this->AnalyerRequest($pFlag,'1,0,'.$this->sListCount.',0',0);
		}
		return $tmpAR0;
	}
	public function filterColumnByType($pColumns,$pTypes){
		$this->sApp_Table=new netssystable($this->sConnString);
		return $this->sApp_Table->filterColumnByType($pColumns,$pTypes);
	}
	public function filterColumnByLabelid($pColumns,$pTypes,$pLabelid){
		$this->sApp_Table=new netssystable($this->sConnString);
		return $this->sApp_Table->filterColumnByLabelid($pColumns,$pTypes,$pLabelid);
	}
	
	public function DefUiSearchLine($pCount){ return 0; }
	public function DefUiListLine($pFlag,$Exception){ return 0; }
	public function DefUiPanel(&$pColumn,$pFlag){
		return $pColumn;
	}
	public function DefUiTab($pFlag){ return 0; }
	public function DefUiButton($pFlag,$Exception){ return 0; }
	public function DefUiJscript($pFlag){ return 0; }
	public function DefUiCustom($pColumn,$pFlag){
		return 0;
	}
	public function DefUiBatchMessage($pFlag){
?><!-- ------ #BatchMessage ------ --><!--S.nets_Zone--><?php echo($this->sBatchMessage); ?><!--E.nets_Zone--><?php
	}
}
?>